package dev.shadowsoffire.apotheosis.adventure.socket;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.google.gson.JsonObject;
import dev.shadowsoffire.apotheosis.adventure.socket.AddSocketsRecipe;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.util.GsonHelper;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.crafting.Recipe;
import net.minecraft.world.item.crafting.RecipeSerializer;
import net.minecraftforge.common.crafting.CraftingHelper;

public class Serializer implements RecipeSerializer<AddSocketsRecipe> {
  public static Serializer INSTANCE = new Serializer();
  
  public AddSocketsRecipe fromJson(ResourceLocation id, JsonObject obj) {
    Ingredient item = CraftingHelper.getIngredient(GsonHelper.m_13930_(obj, "input"), false);
    int maxSockets = obj.get("max_sockets").getAsInt();
    return new AddSocketsRecipe(id, item, maxSockets);
  }
  
  public AddSocketsRecipe fromNetwork(ResourceLocation id, FriendlyByteBuf buf) {
    return new AddSocketsRecipe(id, Ingredient.m_43940_(buf), buf.readInt());
  }
  
  public void toNetwork(FriendlyByteBuf buf, AddSocketsRecipe recipe) {
    recipe.input.m_43923_(buf);
    buf.writeInt(recipe.getMaxSockets());
  }
}
